//
//  LKFContextChangeGroup.swift
//  LKF
//
//  Created by Alexander Holzer on 28.02.24.
//  Copyright © 2024 Alexander Holzer. All rights reserved.
//

import Foundation

open class LKFContextChangeGroup {
    var name: String
    var changes : [LKFContextChange]?
    
    init(name: String) {
        self.name = name
    }
    
    public func add (change: LKFContextChange) {
        if changes != nil {
            changes!.append(change)
        }
        else {
            changes = [change]
        }
    }
}
